当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 71 篇帖子 ]  前往页数 1, 2, 3, 4, 5  下一页
作者 内容
1 楼 
 文章标题 : 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-08 9:20 
头像

注册: 2007-11-28 5:39
帖子: 358
送出感谢: 0 次
接收感谢: 0 次
好像很多人都不知道如何是好,我在這裡留一個簡單教程: for 8.04

下載最新libdrm 2.4.9 (打了patch,不需要在xorg設置DRI了)
http://myubuntu.ca/download/libdrm-2.4.9.tar.bz2

最新Intel Video Driver 2.5.1(打了patch的)
http://myubuntu.ca/download/xf86-video- ... .1.tar.bz2

for 8.10, 沒有打patch的Driver:
http://xorg.freedesktop.org/archive/ind ... .1.tar.bz2

編譯準備:
sudo apt-get install build-essential xorg-dev mesa-common-dev


編譯:
tar xvjf libdrm-2.4.9.tar.bz2
cd libdrm-2.4.9
./configure --prefix=/usr
make
sudo make install

cd ..

tar xvjf xf86-video-intel-2.5.1.tar.bz2
cd xf86-video-intel-2.5.1
./configure --prefix=/usr
make
sudo make install


驅動還原:
sudo apt-get install libdrm2 --reinstall
sudo apt-get install xserver-xorg-video-intel --reinstall

P.S.
/etc/X11/xorg.conf的section "Device"裡,最好有一項Driver "intel",但不一定需要的。(如果3d用不了,就把Driver "intel"加到那個section)
如果glxgears提示DRI問題,就在xorg.conf的最後,加入:
Section "DRI"
Mode 0666
EndSection

為了防止Ubuntu更新時,更換了驅動,強烈建議在synaptic鎖定xserver-xorg-video-intel和libdrm2的版本!


最后由 ellon 编辑于 2009-04-16 11:49,总共编辑了 18 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 如何安裝最新Intel顯卡驅動r?
帖子发表于 : 2008-11-08 10:01 
头像

注册: 2008-07-28 19:29
帖子: 242
送出感谢: 0 次
接收感谢: 0 次
让我苦等了几个月,终于找到你了,先试一下看你的显卡是多少的我的X3100不知可不可以 :em05


_________________
神舟天运F5600
酷睿T5750
GMA X3100
1G DDR2

http://new.qzone.qq.com/422253866/


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 如何安裝最新Intel顯卡驅動r?
帖子发表于 : 2008-11-08 10:15 

注册: 2008-11-02 14:49
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
GMA 950的 可以不?不是最新的。。。笔记本集成显卡


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-08 21:18 
头像

注册: 2008-07-28 19:29
帖子: 242
送出感谢: 0 次
接收感谢: 0 次
安装成功了,但在xorg.conf里面section "Device"里没有intel这一个注解
还有你用的命令./configure --prefix=/usr这个"--prefix=/usr"后缀是什么意思,可以不加否 :em06


_________________
神舟天运F5600
酷睿T5750
GMA X3100
1G DDR2

http://new.qzone.qq.com/422253866/


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-08 21:23 

注册: 2008-10-28 20:18
帖子: 3249
送出感谢: 0 次
接收感谢: 0 次
./configure --prefix=/usr
显卡配置文件./configure的存放地点


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-08 23:12 
头像

注册: 2007-11-28 5:39
帖子: 358
送出感谢: 0 次
接收感谢: 0 次
staunch 写道:
安装成功了,但在xorg.conf里面section "Device"里没有intel这一个注解
还有你用的命令./configure --prefix=/usr这个"--prefix=/usr"后缀是什么意思,可以不加否 :em06


--prefix=/usr是必需的,他指定了顯卡驅動的安裝地址:
/usr/lib/xorg/modules/drivers
如果沒有了--prefix=/usr,驅動會安裝在
/usr/local/lib/xorg/modules/drivers,就不會有任何作用。

xorg.conf的section "Device"裡,最好有Driver "intel",但不一定需要的。(如果3d用不了,把Driver "intel"加到那個section)


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-09 14:01 

注册: 2006-10-20 23:36
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
安装lz说的做了,编译安装成功
但为什么还是不支持3D加速呢?而且原本支持的Opengl现在好像也不支持了。。。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-16 0:53 
头像

注册: 2007-11-28 5:39
帖子: 358
送出感谢: 0 次
接收感谢: 0 次
更新到2.5.1,
Sorry,之前那個2.5.0的下載連接有問題。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-21 14:19 

注册: 2008-11-21 14:14
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
1、进行xf86-video-intel-2.5.1文件解压缩后进入
2、进行文件/configure --prefix=/usr
3、出现下面提示:
checking for DRM... configure: error: Package requirements (libdrm >= 2.4.0) were not met:
Requested 'libdrm >= 2.4.0' but version of libdrm is 2.3.1
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables DRM_CFLAGS
and DRM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
4、然后 root@wujun-desktop:~/桌面/xf86-video-intel-2.5.1# make
出现make: *** 没有指明目标并且找不到 makefile。 停止。
下面进行不下去了

请问是什么问题呢


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-21 14:27 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
Requested 'libdrm >= 2.4.0' but version of libdrm is 2.3.1

apt://libdrm


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-22 7:33 
头像

注册: 2007-11-28 5:39
帖子: 358
送出感谢: 0 次
接收感谢: 0 次
nt_sir 写道:
1、进行xf86-video-intel-2.5.1文件解压缩后进入
2、进行文件/configure --prefix=/usr
3、出现下面提示:
checking for DRM... configure: error: Package requirements (libdrm >= 2.4.0) were not met:
Requested 'libdrm >= 2.4.0' but version of libdrm is 2.3.1
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables DRM_CFLAGS
and DRM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
4、然后 root@wujun-desktop:~/桌面/xf86-video-intel-2.5.1# make
出现make: *** 没有指明目标并且找不到 makefile。 停止。
下面进行不下去了

请问是什么问题呢


tar -zxf libdrm-2.4.1.tar.gz
cd libdrm-2.4.1
./configure --prefix=/usr
make
sudo make install

這一步,你做好了嗎?


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-24 16:26 

注册: 2008-11-19 16:04
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我安装成功了,以前3d游戏都不能玩,我在网上找了好久都没解决,现在好了,thank you!!!!
绝对是好贴,广大intel显卡用户要多顶顶,不要让沉下去阿!

:em11 :em11 :em11 :em11 :em11 :em11 :em11 :em11


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-24 20:34 

注册: 2008-11-19 16:04
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
请教一下:装完驱动,开启compiz还是不行阿,提示错误是
Checking for Xgl: not present.
Detected PCI ID for VGA:
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1280x800) to maximum 3D texture size (2048): Passed.
Checking for Software Rasterizer: Not present.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
/usr/bin/compiz.real (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
是不是要编译mesa阿,我下了不会编译,希望高人能帮帮我,也帮帮和我一样的让人,thank you!


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-24 20:38 

注册: 2008-11-19 16:04
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
引用:
驅動還原:
sudo apt-get install xserver-xorg-video-intel --reinstall


这是什么作用阿,1.使刚安装的驱动生效?
2.还原到原来的驱动?


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 如何安裝Intel顯卡最新驅動?
帖子发表于 : 2008-11-25 23:31 
头像

注册: 2007-11-28 5:39
帖子: 358
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install libdrm2 --reinstall
sudo apt-get install xserver-xorg-video-intel --reinstall
是還原,以備不時之需


最后由 ellon 编辑于 2009-01-05 1:23,总共编辑了 1 次

页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 71 篇帖子 ]  前往页数 1, 2, 3, 4, 5  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译